﻿$ErrorActionPreference = 'Stop'
$toolsPath = (Split-Path -Parent $MyInvocation.MyCommand.Definition)
. "$toolsPath\helpers.ps1"

$pp = Get-PackageParameters

$parameters += if ($pp.NoDesktopShortcut)     { " /desktopshortcut 0"; Write-Host "Desktop shortcut won't be created" }
$parameters += if ($pp.NoTaskbarShortcut)     { " /pintotaskbar 0"; Write-Host "Opera won't be pinned to taskbar" }

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'exe'
  url            = 'https://get.geo.opera.com/pub/opera-developer/71.0.3763.0/win/Opera_Developer_71.0.3763.0_Setup.exe'
  url64          = 'https://get.geo.opera.com/pub/opera-developer/71.0.3763.0/win/Opera_Developer_71.0.3763.0_Setup_x64.exe'
  checksum       = '89beff9947ccc89d0ab6857179c24b66cbfa64da94991059ef39fd3e8fd16d3d'
  checksum64     = '5db92278fe13ae89e692d013443b2f56242359cb8fcbd0f155412548f068d403'
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/install /silent /launchopera 0 /setdefaultbrowser 0' + $parameters
  validExitCodes = @(0)
}

$version = '71.0.3763.0'
if (!$Env:ChocolateyForce -and (IsVersionAlreadyInstalled $version)) {
  Write-Output "Opera $version is already installed. Skipping download and installation."
} else {
  Install-ChocolateyPackage @packageArgs
}
